# 32/64bit spec
#
%define	name	vorbis-tools
%define version 1.4.2
%define	theirversion %version


Name:		%{name}
Summary:	Several Ogg Vorbis Tools
Summary(de):	Verschiedene Ogg Vorbis Werkzeuge
Version:	1.4.2
Release:	%mkrel 1
Group:		Sound
License:	GPLv2
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/vorbis/%{name}-%{theirversion}.tar.xz
Patch0:		vorbis-tools-1.4.0-next_on_SIGUSR1.patch
Patch1:		vorbis-tools-1.2.0-ogg123-play-stdin.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libao-devel >= 0.8.3 libcurl-devel libogg-devel >= 1.0-1mdk zlib-devel liboggflac-devel
BuildRequires:  libspeex-devel
BuildRequires:	openssl-devel libvorbis-devel >= 1.0 texinfo
BuildRequires:	gettext-devel

%description
This package contains oggenc (encoder), oggdec, ogg123 (command line player)
vorbiscomment (metadata editor) and vcut (cut tool).

Find some free Ogg Vorbis music here: http://www.vorbis.com/music/

%description -l de
Dieses Paket beinhaltet oggenc (Encoder), oggdec, ogg123 (Abspieler für die
Kommandozeile), vorbiscomment (Meta-Daten Editor) und vcut (Schneidwerkzeug).

Sie können auf http://www.vorbis.com/music/ frei Ogg Vorbis Musik finden.

%prep
%setup -q -n %{name}-%{theirversion}
%apply_patches


%build
%configure2_5x \
	--with-ogg-libraries=%{_libdir} \
	--with-vorbis-libraries=%{_libdir} \
	--with-ao-libraries=%{_libdir} \
	--with-curl-libraries=%{_libdir} \
	--enable-vcut

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# cleanup
rm -rf %{buildroot}/%{_docdir}/%{name}-%{version}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/ogg123
%{_bindir}/oggdec
%{_bindir}/oggenc
%{_bindir}/ogginfo
%{_bindir}/vcut
%{_bindir}/vorbiscomment
%{_mandir}/man1/ogg123*
%{_mandir}/man1/oggenc*
%{_mandir}/man1/oggdec*
%{_mandir}/man1/ogginfo*
%{_mandir}/man1/vcut*
%{_mandir}/man1/vorbiscomment*


%changelog
* Thu Mar 04 2021 tex - 1.4.2-1pclos2021
- new version

* Mon Aug 26 2019 tex - 1.4.0-2pclos2019
- rebuild against updates

* Fri May 31 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4.0-1pclos2013
- 1.4.0
- added german summary and description
- removed patch0, patch6, patch7, patch8 applied in source

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 1.2.0-4pclos2010
- rebuild ldap

* Sat Mar 27 2010 Texstar <texstar at gmail.com> 1.2.0-3pclos2010
- rebuild for 2010

* Thu Apr 17 2009 pcserver <pcserver@hushmail.com> 1.2.0-2pclos2007
- rebuild against proper ssh

* Mon Apr 13 2009 pcserver <pcserver@hushmail.com> 1.2.0-1pclos2007
- update 1.2.0
- libcurl4


